package de.ivu.elect.interfaces.core.plausikonfiguration;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import java.io.Serializable;

@XmlAccessorType(XmlAccessType.FIELD)
public class StimmeingabePlausiKonfiguration implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private StimmeingabePlausiTyp typ;

  @XmlElement(required = true)
  private StimmeingabePlausiErgebniseingangsart ergebniseingangsart;

  @XmlElement(required = true)
  private StimmeingabePlausiGebietsart gebietsart;

  @XmlElement(required = true)
  private StimmeingabePlausiFehlerart fehlerart;

  @XmlElement(required = true)
  private StimmeingabePlausiStatus status;

  @XmlElement(required = true)
  private String customData;

  @XmlElement(required = false)
  private String beschreibung;

  @XmlElement(required = false)
  private String fehlermeldungFormat;

  @XmlElement(required = false)
  private String fehlerschluessel;

  public StimmeingabePlausiTyp getTyp() {
    return typ;
  }

  public void setTyp(StimmeingabePlausiTyp typ) {
    this.typ = typ;
  }

  public StimmeingabePlausiErgebniseingangsart getErgebniseingangsart() {
    return ergebniseingangsart;
  }

  public void setErgebniseingangsart(StimmeingabePlausiErgebniseingangsart ergebniseingangsart) {
    this.ergebniseingangsart = ergebniseingangsart;
  }

  public StimmeingabePlausiGebietsart getGebietsart() {
    return gebietsart;
  }

  public void setGebietsart(StimmeingabePlausiGebietsart gebietsart) {
    this.gebietsart = gebietsart;
  }

  public StimmeingabePlausiFehlerart getFehlerart() {
    return fehlerart;
  }

  public void setFehlerart(StimmeingabePlausiFehlerart fehlerart) {
    this.fehlerart = fehlerart;
  }

  public StimmeingabePlausiStatus getStatus() {
    return status;
  }

  public void setStatus(StimmeingabePlausiStatus status) {
    this.status = status;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public String getFehlermeldungFormat() {
    return fehlermeldungFormat;
  }

  public void setFehlermeldungFormat(String fehlermeldungFormat) {
    this.fehlermeldungFormat = fehlermeldungFormat;
  }

  public String getFehlerschluessel() {
    return fehlerschluessel;
  }

  public void setFehlerschluessel(String fehlerschluessel) {
    this.fehlerschluessel = fehlerschluessel;
  }
}
